# Define the kmod package name here.
%define kmod_name mlink

%{!?svn_rev:%define svn_rev 13869}

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion %(rpm -q kernel-devel|sed -e 's/^[a-z-]*//'|sort -n|tail -n 1|sed -e 's/\(PAE\|xenU\|xen\|smp\|hugemem\)//g')}

Name:    %{kmod_name}-kmod
Version: 1.32
Release: 1.%{svn_rev}%{?dist}
Group:   System Environment/Kernel
License: GPL
Summary: M-Link kernel modules
URL:     http://afi.jinr.ru/mlink

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources
Source0:  %{kmod_name}-%{version}.tar.gz
Source10: kmodtool-%{kmod_name}-el6.sh

# manual module insert helper
Requires: mlink

# Magic hidden here
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
M-Link is a custom communication interface based on packet structure like
Ethernet. It is used with ADCM, VMEDAQ projects.

%prep
%setup -q -n %{kmod_name}-%{version}
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
export NODEBUG=yes
export svn_rev=%{svn_rev}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD/driver

%install
%{__rm} -rf %{buildroot}
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD/driver
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Thu Nov 29 2012  <Ilja.Slepnev@jinr.ru> - 
- EL6 compatible spec file

* Wed May 13 2009  <Ilja.Slepnev@jinr.ru> - 
- Fixed package name

* Tue May 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Split in two packages: mlink and mlink-kmod

* Wed Apr 22 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.30: build with kmodtool2. Package name changed: mlink-utils, mlink-kmod

* Mon Apr 20 2009  <Ilja.Slepnev@jinr.ru> - 
- removed mlink.ko file. use melink.ko

* Wed Apr 08 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.29: Removed special run-mode. Packet mode only.

* Tue Mar 25 2009  <Ilja.Slepnev@jinr.ru> - 
- Fixed communication problem caused by receiver_reset() in RXC handler
- testlink: Fixed clock locking problem when changing loopback mode

* Tue Mar  3 2009  <Ilja.Slepnev@jinr.ru> - 
- Changed version to 1.28
- Added MlinkDevice interface class

* Thu Feb 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Added control frame loopback bit

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Handle link up/down status on reset, use OSD bit

* Thu Nov 28 2008  <Ilja.Slepnev@jinr.ru> - 
- defined 'kdir' macro
- fixed x86_64 warnings

* Thu Nov 27 2008  <Ilja.Slepnev@jinr.ru> - 
- spec file corrected to build on Fedora 10.

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

